ByteChef LogoByteChef
OpenapiTables

Add a column

Add a column.

POST
/workspaces/{workspaceId}/data-tables/{name}/columns

Path Parameters

workspaceId*integer

The id of a workspace.

Formatint64
name*string

The table name.

Header Parameters

X-Environment?string

The environment whose physical table is addressed. PRODUCTION when omitted.

Value in

  • "DEVELOPMENT"
  • "STAGING"
  • "PRODUCTION"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workspaces/0/data-tables/string/columns" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "STRING"  }'
{  "id": 0,  "workspaceId": 0,  "name": "string",  "description": "string",  "columns": [    {      "name": "string",      "type": "STRING",      "link": {        "targetDataTableId": 0,        "onDelete": "BLOCK",        "displayColumnName": "string"      }    }  ],  "tags": [    "string"  ],  "lastModifiedDate": "2019-08-24T14:15:22Z"}

How is this guide?